package com.dayou.message;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/6
 * created with IntelliJ IDEA.
 */
public enum MessageTypeEnum {

    SETTLE("SETTLE","提成结算"),

    EVALUATE_REMIND("EVALUATE_REMIND","评价提醒"),

    BUSINESS("BUSINESS","业务消息"),

    MAJOR_DECLARE_REMIND("MAJOR_DECLARE_REMIND","大中型提成申报提醒"),

    MAJOR_OUT_REPERTORY_REMIND("MAJOR_OUT_REPERTORY_REMIND","大中型产品出库提醒"),

    MAJOR_ALLOT_COMMISSION_REMIND1("MAJOR_ALLOT_COMMISSION_REMIND1","大中型产品提成分配提醒"),

    MAJOR_ALLOT_COMMISSION_REMIND2("MAJOR_ALLOT_COMMISSION_REMIND2","大中型产品提成分配提醒"),

    NODE_TODO_REMINDER("NODE_TODO_REMINDER","待办提醒")



    ;

    private String code;

    private String name;

    MessageTypeEnum(String code, String name) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }
}
